<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controllerform');

/**
 * Generalsetting controller class.
 */
class DoceboControllerGeneralsetting extends JControllerForm {

	function __construct() {
		$this->view_list = 'generalsettings';
		parent::__construct();
	}

	/**
	 * We overwrite the saved form data and trim them to avoid spaces
	 */
	public function save($key = NULL, $urlVar = NULL) {
		if (isset($this->input) && is_object($this->input->post)) {
			$postData = $this->input->post->get('jform', array(), 'array');
		} else {
			$postData = JRequest::getVar('jform', array(), 'post', 'array');
		}

		if ($postData) {
			foreach ($postData as $key => $value) {
				$postData[$key] = trim($value);
			}

			if (isset($this->input) && is_object($this->input->post)) {
				$this->input->post->set('jform', $postData);
			} else {
				JRequest::setVar('jform', $postData, 'post');
			}
		}


		// Finally, save the processed form data
		return parent::save('id', $urlVar);
	}

}